Opened 17 years ago

Closed 17 years ago

Last modified 8 years ago

#903 closed defect (fixed)

libgsf optional dependencies

Reported by: Randy McMurchy Owned by: blfs-book@…
Priority: high Milestone:
Component: BOOK Version: SVN
Severity: normal Keywords: VERIFIED
Cc:

Description

DocBook-utils is listed as an optional dependency. Best I can tell only GTK-Doc is used to generate documentation (and works well). DocBook-utils should probably be removed.

Change History (5)

comment:1 by Randy McMurchy, 17 years ago

This needs to be checked to insure I wasn't mistaken. It could be that db2html is looked for during the configure stage.

comment:2 by Nico R., 17 years ago

$ grep -rinE "(db2|docbook2|jw|sgmldiff|docbook.utils|docbook.tools)" . ./configure.in:141:# Checks for gtk-doc and docbook-tools ./configure:21236:# Checks for gtk-doc and docbook-tools Whatever they mean by docbook-tools, probably that Red Hat package (which we seem to have in other packages in BLFS), as far as I can tell by checking configure.in and the relevant part of configure, nothing from docbook-utils is needed. I suspect there had been a confusion of docbook-tools with docbook-utils. I recommend checking for *all packages that have docbook-utils as a dependency* whether this is correct.

comment:3 by igor@…, 17 years ago

Resolution: fixed
Status: newclosed

Just checked and it doesn't look for anything from the doocbook-utils package.

comment:4 by igor@…, 17 years ago

Keywords: VERIFIED added

comment:5 by bdubbs@…, 8 years ago

Milestone: old

Milestone old deleted

Note: See TracTickets for help on using tickets.